=== modified file 'Makefile'
--- Makefile	2011-04-15 08:07:00 +0000
+++ Makefile	2012-04-25 05:37:09 +0000
@@ -3,7 +3,7 @@
 HELP_DEST_DIR=sloecode/public/help
 
 check:
-	nosetests --with-pylons=test.ini
+	python -m testtools.run discover sloecode.tests
 
 clean:
 	find . -type f \( -name '*.o' -o -name '*.so' -o -name '*.la' -o \

=== modified file 'setup.cfg'
--- setup.cfg	2011-06-03 20:55:20 +0000
+++ setup.cfg	2012-04-25 05:37:09 +0000
@@ -5,8 +5,6 @@
 [easy_install]
 find_links = http://www.pylonshq.com/download/
 
-[nosetests]
-with-pylons = test.ini
 
 # Babel configuration
 [compile_catalog]

=== modified file 'sloecode/config/environment.py'
--- sloecode/config/environment.py	2011-10-01 13:59:34 +0000
+++ sloecode/config/environment.py	2012-04-25 05:37:09 +0000
@@ -54,7 +54,7 @@
     # do this by creating the engine url from components:
     db_config = RawConfigParser()
     db_config.read(config['db_config_file'])
-    
+
     dialect = db_config.get('database', 'dbtype')
     # translate from dbconfig-common terminology
     if dialect == 'sqlite3':
@@ -65,7 +65,7 @@
     db_server = db_config.get('database', 'dbserver')
     db_port = db_config.get('database', 'dbport')
     db_path = db_config.get('database', 'dbpath')
-    
+
     # we support sqlite:// and mysql://
     engine_url = dialect + '://'
     # sqlite needs 4 '/''s, and needs special path options:
@@ -73,7 +73,7 @@
         engine_url += '/' + os.path.join(db_path, schema_name)
     else:
         engine_url += "%s:%s@%s/%s" % (username, password, db_server, schema_name)
-    
+
     engine = create_engine(engine_url)
     init_model(engine)
 
@@ -84,7 +84,7 @@
         global_conf['bzr_deleted_person_root'],
         global_conf['bzr_deleted_project_root'],
         )
-        
+
     # This is a bit of a nasty hack: In "developer mode", we explicitly call:
     #
     # `paster setup-app /path/to/config.ini`

=== modified file 'sloecode/tests/__init__.py'
--- sloecode/tests/__init__.py	2012-04-08 22:09:37 +0000
+++ sloecode/tests/__init__.py	2012-04-25 05:37:09 +0000
@@ -8,41 +8,23 @@
 setup-app`) and provides the base testing objects.
 """
 from unittest import TestCase
-
-from paste.script.appinstall import SetupCommand
-from pylons import url
-from routes.util import URLGenerator
-from sloecode.model.meta import Session, Base, engine
-from webtest import TestApp
-
-import pylons.test
-
-__all__ = ['environ', 'url', 'TestController']
-
-# Invoke websetup with the current config file
-SetupCommand('setup-app').run([pylons.test.pylonsapp.config['__file__']])
-
-environ = {}
-
-
-class TestController(TestCase):
-
-    def __init__(self, *args, **kwargs):
-        wsgiapp = pylons.test.pylonsapp
-        config = wsgiapp.config
-        self.app = TestApp(wsgiapp)
-        url._push_object(URLGenerator(config['routes.map'], environ))
-        TestCase.__init__(self, *args, **kwargs)
+from sqlalchemy import create_engine
+
+import sloecode.model.meta as meta
+from sloecode.model import init_model
 
 
 class SloecodeTestCase(TestCase):
 
     def setUp(self):
         # create all DB tables:
-        Base.metadata.create_all(engine)
+        e = create_engine("sqlite:///:memory:")
+        init_model(e)
+        meta.Base.metadata.create_all(e)
 
     def tearDown(self):
         # remove all DB tables.
-        Base.metadata.drop_all(engine)
+        meta.Base.metadata.drop_all(meta.engine)
         # remove session - avoids a memory leak, apparently.
-        Session.remove()
+        meta.Session.remove()
+        meta.engine = None

=== removed file 'test.ini'
--- test.ini	2010-12-14 20:52:13 +0000
+++ test.ini	1970-01-01 00:00:00 +0000
@@ -1,22 +0,0 @@
-#
-# sloecode - Pylons testing environment configuration
-#
-# The %(here)s variable will be replaced with the parent directory of this file
-#
-[DEFAULT]
-debug = true
-# Uncomment and replace with the address which should receive any error reports
-#email_to = you@yourdomain.com
-smtp_server = localhost
-error_email_from = paste@localhost
-
-[server:main]
-use = egg:Paste#http
-host = 127.0.0.1
-port = 5000
-
-[app:main]
-use = config:development.ini
-# specify that the SQLite database should be in memory for testing.
-sqlalchemy.url = sqlite:///:memory:
-# Add additional test specific configuration options as necessary.

